#include "sys/x11/dark_theme.h"
#include "sys/glib/dark_theme.h" /* glib::IsGTKThemeDark */
#include "sys/x11/settings.h"

namespace x11 {

bool IsInDarkTheme()
{
	SettingsItem setting;
	if (!FindSetting(u8"Net/ThemeName", setting))
		return false;

	return glib::IsGTKThemeDark(setting.data.string);
}

} // namespace x11
